> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperdash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit an async job (free)

> Heavy computations with a small result (Growth, Scale and Enterprise). At most 2 running at a time and 100 per day. Results are kept 24 h. Kinds:

- `account_fills_summary` (scope `accounts:read`): Per coin over up to 90 days for one wallet: fills, buy/sell notional, fees per fee token, realized PnL, first and last fill. Both legs of self-matches count.



## OpenAPI

````yaml /data-api/openapi.json post /v1/jobs
openapi: 3.1.0
info:
  title: Hyperdash Data API
  version: v1
  description: >-
    Hyperliquid data from Hyperdash's own nodes. Every response reports the
    credits it cost.
servers:
  - url: https://data.hyperdash.com
security: []
tags:
  - name: Accounts
  - name: Async jobs
  - name: Builders
  - name: Cohorts
  - name: HIP-3 DEXs
  - name: Leaderboards
  - name: Lending
  - name: Liquidations
  - name: Markets
  - name: Network
  - name: Outcomes
  - name: Positions
  - name: Snapshots
  - name: Spot
  - name: Staking
  - name: Traders
paths:
  /v1/jobs:
    post:
      tags:
        - Async jobs
      summary: Submit an async job (free)
      description: >-
        Heavy computations with a small result (Growth, Scale and Enterprise).
        At most 2 running at a time and 100 per day. Results are kept 24 h.
        Kinds:


        - `account_fills_summary` (scope `accounts:read`): Per coin over up to
        90 days for one wallet: fills, buy/sell notional, fees per fee token,
        realized PnL, first and last fill. Both legs of self-matches count.
      operationId: createJob
      parameters:
        - name: Idempotency-Key
          in: header
          required: true
          schema:
            type: string
            maxLength: 255
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - kind
                - params
              properties:
                kind:
                  type: string
                  enum:
                    - account_fills_summary
                params:
                  type: object
      responses:
        '200':
          description: Idempotent replay
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  kind:
                    type: string
                  params:
                    type: object
                  status:
                    type: string
                    enum:
                      - queued
                      - running
                      - succeeded
                      - failed
                      - canceled
                      - expired
                  created_at:
                    type: string
                  started_at:
                    type:
                      - string
                      - 'null'
                  finished_at:
                    type:
                      - string
                      - 'null'
                  expires_at:
                    type:
                      - string
                      - 'null'
                  result_rows:
                    type:
                      - integer
                      - 'null'
                  compute_units:
                    type: integer
                  result_url:
                    type:
                      - string
                      - 'null'
                  error:
                    type:
                      - object
                      - 'null'
                    properties:
                      code:
                        type: string
                      detail:
                        type: string
        '202':
          description: Queued
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  kind:
                    type: string
                  params:
                    type: object
                  status:
                    type: string
                    enum:
                      - queued
                      - running
                      - succeeded
                      - failed
                      - canceled
                      - expired
                  created_at:
                    type: string
                  started_at:
                    type:
                      - string
                      - 'null'
                  finished_at:
                    type:
                      - string
                      - 'null'
                  expires_at:
                    type:
                      - string
                      - 'null'
                  result_rows:
                    type:
                      - integer
                      - 'null'
                  compute_units:
                    type: integer
                  result_url:
                    type:
                      - string
                      - 'null'
                  error:
                    type:
                      - object
                      - 'null'
                    properties:
                      code:
                        type: string
                      detail:
                        type: string
        '400':
          description: Invalid kind or params
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Problem'
        '403':
          description: Scope, plan or history limit
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Problem'
        '409':
          description: Idempotency-Key reused with a different request
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Problem'
        '429':
          description: Job limit
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Problem'
      security:
        - bearer: []
components:
  schemas:
    Problem:
      type: object
      required:
        - type
        - title
        - status
        - code
        - request_id
      properties:
        type:
          type: string
        title:
          type: string
        status:
          type: integer
        code:
          type: string
        detail:
          type: string
        hint:
          type: string
        request_id:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: hdk_sk_live_v1_… or hdk_sk_test_v1_…

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.